### Method

# AppStreamCompose Hint format_explanation

since: 0.13.0

#### Declaration [src]

    gchar*
    asc_hint_format_explanation (
      AscHint* hint
    )

#### Description [src]

Formats the explanation template to return a human-readable issue hint explanation, with all placeholder variables replaced.

Explanation templates contain markup, so the result of this function is a snippet of HTML, ready to be embedded into a generated report.

Use %asc_hint_format_explanation_plain if you need text to display without HTML markup.

Available since: 0.13.0

#### Return value

Type: `gchar*`

Explanation text for this hint as HTML.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.